Module org.apache.derby.tools
Package org.apache.derby.jdbc

# Class EmbeddedConnectionPoolDataSource

java.lang.Object
org.apache.derby.jdbc.BasicEmbeddedDataSource40
org.apache.derby.jdbc.ReferenceableDataSource
org.apache.derby.jdbc.EmbeddedDataSource
org.apache.derby.jdbc.EmbeddedConnectionPoolDataSource

All Implemented Interfaces:
  `Serializable`, `Wrapper`, `Referenceable`, `ObjectFactory`, `CommonDataSource`, `ConnectionPoolDataSource`, `DataSource`, `org.apache.derby.iapi.jdbc.EmbeddedConnectionPoolDataSourceInterface`, `org.apache.derby.iapi.jdbc.EmbeddedDataSourceInterface`

public class EmbeddedConnectionPoolDataSource extends EmbeddedDataSource implements org.apache.derby.iapi.jdbc.EmbeddedConnectionPoolDataSourceInterface

This datasource is suitable for an application using embedded Derby, running on full Java SE 6 and higher, corresponding to 4.0 and higher. EmbeddedConnectionPoolDataSource is a ConnectionPoolDataSource implementation.

A ConnectionPoolDataSource is a factory for PooledConnection objects. An object that implements this interface will typically be registered with a JNDI service.

EmbeddedConnectionPoolDataSource automatically supports the correct JDBC specification version for the Java Virtual Machine's environment.

- JDBC 4.0 - Java SE 6
- JDBC 4.1 - Java SE 7
- JDBC 4.2 - full Java SE 8

Use BasicEmbeddedConnectionPoolDataSource40 if your application runs on Java 8 Compact Profile 2.

EmbeddedConnectionPoolDataSource is serializable and referenceable.

See EmbeddedDataSource for DataSource properties.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmbeddedConnectionPoolDataSource()`
  No-arg constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final PooledConnection`
  `getPooledConnection()`
  Attempt to establish a database connection.
  `final PooledConnection`
  `getPooledConnection(String username, String password)`
  Attempt to establish a database connection.

  ### Methods inherited from class org.apache.derby.jdbc.EmbeddedDataSource

  `getObjectInstance, getReference`

  ### Methods inherited from class org.apache.derby.jdbc.BasicEmbeddedDataSource40

  `equals, getAttributesAsPassword, getConnection, getConnection, getConnection, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getLoginTimeout, getLogWriter, getParentLogger, getPassword, getShutdownDatabase, getUser, hashCode, isWrapperFor, setAttributesAsPassword, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setLoginTimeout, setLogWriter, setPassword, setShutdownDatabase, setUser, unwrap`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.sql.CommonDataSource

  `createShardingKeyBuilder, getParentLogger`

  ### Methods inherited from interface javax.sql.ConnectionPoolDataSource

  `createPooledConnectionBuilder, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

  ### Methods inherited from interface javax.sql.DataSource

  `createConnectionBuilder, getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

  ### Methods inherited from interface org.apache.derby.iapi.jdbc.EmbeddedDataSourceInterface

  `getAttributesAsPassword, getConnection, getConnectionAttributes, getCreateDatabase, getDatabaseName, getDataSourceName, getDescription, getPassword, getShutdownDatabase, getUser, setAttributesAsPassword, setConnectionAttributes, setCreateDatabase, setDatabaseName, setDataSourceName, setDescription, setPassword, setShutdownDatabase, setUser`

  ### Methods inherited from interface java.sql.Wrapper

  `isWrapperFor, unwrap`

- ## Constructor Details

  - ### EmbeddedConnectionPoolDataSource

    public EmbeddedConnectionPoolDataSource()
    No-arg constructor.

- ## Method Details

  - ### getPooledConnection

    public final PooledConnection getPooledConnection() throws SQLException
    Attempt to establish a database connection.
    Specified by:
      `getPooledConnection` in interface `ConnectionPoolDataSource`
    Returns:
      a Connection to the database
    Throws:
      `SQLException` - if a database-access error occurs.

  - ### getPooledConnection

    public final PooledConnection getPooledConnection(String username, String password) throws SQLException
    Attempt to establish a database connection.
    Specified by:
      `getPooledConnection` in interface `ConnectionPoolDataSource`
    Parameters:
      `username` - the database user on whose behalf the Connection is being made
      `password` - the user's password
    Returns:
      a Connection to the database
    Throws:
      `SQLException` - if a database-access error occurs.